package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name="LkkSaksiKejadian_T")
@JsonIgnoreProperties({"hibernateLazyInitializer", "handler"})
public class LkkSaksiKejadian extends BaseTransaction{
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="LkkIdentifikasiKejadian")
	@JoinColumn(name="ObjectLkkIdentifikasiKejadianFk")
	private LkkIdentifikasiKejadian lkkIdentifikasiKejadian;
	
	@Column(name="ObjectLkkIdentifikasiKejadianFk", nullable=true, insertable=false, updatable=false)
	private String lkkIdentifikasiKejadianId;
	
	@Caption(value="Nama Saksi")
	@Column(name="NamaSaksi", nullable=true, length=100)
	private String namaSaksi;
	
	@Caption(value="Pekerjaan")
	@Column(name="Pekerjaan", nullable=true, length=100)
	private String pekerjaan;
	
	@Caption(value="No Kontak")
	@Column(name="NoKontak", nullable=true, length=50)
	private String noKontak;

	public LkkIdentifikasiKejadian getLkkIdentifikasiKejadian() {
		return lkkIdentifikasiKejadian;
	}

	public void setLkkIdentifikasiKejadian(LkkIdentifikasiKejadian lkkIdentifikasiKejadian) {
		this.lkkIdentifikasiKejadian = lkkIdentifikasiKejadian;
	}

	public String getLkkIdentifikasiKejadianId() {
		return lkkIdentifikasiKejadianId;
	}

	public void setLkkIdentifikasiKejadianId(String lkkIdentifikasiKejadianId) {
		this.lkkIdentifikasiKejadianId = lkkIdentifikasiKejadianId;
	}

	public String getNamaSaksi() {
		return namaSaksi;
	}

	public void setNamaSaksi(String namaSaksi) {
		this.namaSaksi = namaSaksi;
	}

	public String getPekerjaan() {
		return pekerjaan;
	}

	public void setPekerjaan(String pekerjaan) {
		this.pekerjaan = pekerjaan;
	}

	public String getNoKontak() {
		return noKontak;
	}

	public void setNoKontak(String noKontak) {
		this.noKontak = noKontak;
	}


}
